Subject: [PATCH v12 09/12] OF: PCI: Add support for parsing PCI host bridge resources from DT

From: [email-masked] (Will Deacon)
Date: Wed, 24 Sep 2014 19:01:19 +0100

On Wed, Sep 24, 2014 at 06:53:31PM +0100, Liviu Dudau wrote:
> On Wed, Sep 24, 2014 at 06:31:09PM +0100, Bjorn Helgaas wrote:
> > On Wed, Sep 24, 2014 at 05:43:04PM +0100, Liviu Dudau wrote:
> > > Provide a function to parse the PCI DT ranges that can be used to
> > > create a pci_host_bridge structure together with its associated
> > > bus.
> > > 
> > > Cc: Bjorn Helgaas <[email-masked]>
> > > Cc: Arnd Bergmann <[email-masked]>
> > > Cc: Grant Likely <[email-masked]>
> > > Cc: Rob Herring <[email-masked]>
> > > Cc: Catalin Marinas <[email-masked]>
> > > Signed-off-by: Liviu Dudau <[email-masked]>
> > > [make io_base parameter optional]
> > > Signed-off-by: Robert Richter <[email-masked]>
> > > ---
> > > Hi Bjorn,
> > > 
> > > I have fixed the compilation error that this patch was triggering. I
> > > have validated that the patch applies to your pci/host-generic branch
> > > as well as to my series.
> > 
> > I applied this to pci/host-generic along with the following patches and
> > pushed the branch, thanks!
> 
> Thanks again and sorry for lack of thorough testing. I still haven't managed
> to get a cross compiler for sparc and as I don't run Ubuntu or debian the
> make.cross script doesn't work for me.

  https://www.kernel.org/pub/tools/crosstool/

No libc, but good enough for building the kernel. I've asked for an aarch64
compiler there for a while, but it didn't materialise for some reason.

Will